import { EIP1193Wallet } from "./wallet";
import { EIP1193Based } from "./core";
import { EIP1193Provider } from "./provider";
export type OnWalletChange = (wallet: EIP1193Wallet) => void;
export declare class EIP1193WalletController extends EIP1193Based {
    constructor(provider: EIP1193Provider);
    protected _onWalletChange: OnWalletChange | null;
    protected _wallets: {
        [id: string]: EIP1193Wallet;
    };
    getWallets(): Promise<Array<EIP1193Wallet>>;
    getActiveWallet(): Promise<EIP1193Wallet | null>;
    onWalletChange(listener: OnWalletChange | null): void;
    protected _getWallet(account: string): EIP1193Wallet;
    protected _updateWallets(addresses: Array<string>): void;
}
//# sourceMappingURL=controller.d.ts.map