import { Wallet } from "../";
import { EIP1193Based, EIP1193Core } from "./core";
export declare class EIP1193Wallet extends EIP1193Based implements Wallet {
    constructor(core: EIP1193Core, address: string);
    protected _address: string;
    protected _publicKey: string;
    getCAddress(): Promise<string>;
    getPublicKey(): Promise<string>;
    signEthMessage(message: string): Promise<string>;
    signAndSubmitCTransaction(tx: string): Promise<string>;
    protected _recoverPublicKey(msg: string, signature: string, address: string): string;
    protected _hexUtf8(utf8String: string): string;
    protected _valueToHex(value: number | bigint | null): string;
}
//# sourceMappingURL=wallet.d.ts.map