import { Wallet } from "../";
import { TrezorConnector } from "./connector";
export declare class TrezorWallet implements Wallet {
    constructor(connector: TrezorConnector, bip44Path: string);
    protected readonly _connector: TrezorConnector;
    protected readonly _path: string;
    protected _address: string;
    protected _publicKey: string;
    getPublicKey(): Promise<string>;
    getCAddress(): Promise<string>;
    signEthMessage(message: string): Promise<string>;
    signCTransaction(tx: string): Promise<string>;
    protected _readResponse(response: any, method: string): any;
    protected _prefixedHex(hex: string): string;
    protected _valueToHex(value: number | bigint | null): string | null;
}
//# sourceMappingURL=wallet.d.ts.map